slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPRegister

Adds a method to the polynomial eigenproblem solver package.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPRegister(const char *name,PetscErrorCode (*function)(PEP))

Not Collective

### Input Parameters

| name | - name of a new user-defined solver
| function | - routine to create the solver context

### Notes

PEPRegister() may be called multiple times to add several user-defined solvers.

### Example Usage

        PEPRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

        PEPSetType(pep,"my_solver")

or at runtime via the option

        -pep_type my_solver

### See Also

PEPRegisterAll()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages